If you tried to run Hyper-V PowerShell script at Windows Server 2019 to get Hyper-V report from Windows Server 2012 R2 Hyper-V host, you will get the error message “The Hyper-V module used in this Windows PowerShell session cannot be used for remote management of the server ‘XXX”. Load a compatible version of the Hyper-V module……..”

Today, I am going to show you how to fix it.

  1. Login to the reporting server (Windows Server 2019).
  2. Open Windows PowerShell.
  3. Type following cmdlet.
    
    Get-Module -Name Hyper-V
    
    
  4. It will show Hyper-V module version 2.0.0.0.

  5. Type following cmdlets to remove existing Hyper-V module and then import different version of Hyper-V module.
    
    Remove-Module Hyper-V
    
    Import-Module Hyper-V -RequiredVersion 1.1
    
    Get-Module Hyper-V
    
    

  6. Re-run PowerShell script again and it success with issues.

Hope you enjoy this post.

Cary Sun

Twitter: @SifuSun

Advertisements